<?php

namespace Utils\System\Database\Entity;

/**
 * Class ItemNegotiation
 *
 * @author Gabriel Anhaia <gabriel@sadglobal.com.br>
 *
 * @package Utils\System\Entity
 */
class ItemNegotiation
{
    /** @var integer $id Identificador da negociação. */
    protected $id;

    /** @var integer $negociacao Identificador da negociação. */
    public $negociacao;

    public $item;

    /** @var integer $produto Identificador do produto. */
    public $produto;

    /** @var string $detalhes Detalhes dos itens da negociação. */
    public $detalhes;

    /** @var integer Quantidade de itens. */
    public $quantidade;

    /** @var float Valor do item. */
    public $valor;

    /** @var float Valor total do item com os descontos. */
    public $total;

    /** @var integer Identificador da empresa. */
    public $empresa_id;

    /** @var integer Número de revisão da negociação correspondente. */
    public $revisao;

    /** @var float $desconto Desconto da negociação (percentual ou valor?) */
    public $desconto;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     * @return ItemNegotiation
     */
    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return int
     */
    public function getNegociacao()
    {
        return $this->negociacao;
    }

    /**
     * @param int $negociacao
     * @return ItemNegotiation
     */
    public function setNegociacao($negociacao)
    {
        $this->negociacao = $negociacao;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getItem()
    {
        return $this->item;
    }

    /**
     * @param mixed $item
     * @return ItemNegotiation
     */
    public function setItem($item)
    {
        $this->item = $item;
        return $this;
    }

    /**
     * @return int
     */
    public function getProduto()
    {
        return $this->produto;
    }

    /**
     * @param int $produto
     * @return ItemNegotiation
     */
    public function setProduto($produto)
    {
        $this->produto = $produto;
        return $this;
    }

    /**
     * @return string
     */
    public function getDetalhes()
    {
        return $this->detalhes;
    }

    /**
     * @param string $detalhes
     * @return ItemNegotiation
     */
    public function setDetalhes($detalhes)
    {
        $this->detalhes = $detalhes;
        return $this;
    }

    /**
     * @return int
     */
    public function getQuantidade()
    {
        return $this->quantidade;
    }

    /**
     * @param int $quantidade
     * @return ItemNegotiation
     */
    public function setQuantidade($quantidade)
    {
        $this->quantidade = $quantidade;
        return $this;
    }

    /**
     * @return float
     */
    public function getValor()
    {
        return $this->valor;
    }

    /**
     * @param float $valor
     * @return ItemNegotiation
     */
    public function setValor($valor)
    {
        $this->valor = $valor;
        return $this;
    }

    /**
     * @return float
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * @param float $total
     * @return ItemNegotiation
     */
    public function setTotal($total)
    {
        $this->total = $total;
        return $this;
    }

    /**
     * @return int
     */
    public function getEmpresaId()
    {
        return $this->empresa_id;
    }

    /**
     * @param int $empresa_id
     * @return ItemNegotiation
     */
    public function setEmpresaId($empresa_id)
    {
        $this->empresa_id = $empresa_id;
        return $this;
    }

    /**
     * @return int
     */
    public function getRevisao()
    {
        return $this->revisao;
    }

    /**
     * @param int $revisao
     * @return ItemNegotiation
     */
    public function setRevisao($revisao)
    {
        $this->revisao = $revisao;
        return $this;
    }

    /**
     * @return float
     */
    public function getDesconto()
    {
        return $this->desconto;
    }

    /**
     * @param float $desconto
     * @return ItemNegotiation
     */
    public function setDesconto($desconto)
    {
        $this->desconto = $desconto;
        return $this;
    }
}